/* bulk_rename.rex */

    wHdl = 0
    hTxt = 'Select The Folder That Contains The Files To Rename'
    oFlg = "&H200"
    rFld = 'c:'

    objShell = .oleObject~New("Shell.Application")
    objFolder = objShell~BrowseForFolder(wHdl,hTxt,oFlg,rFld)
    if objFolder \= .nil then
        do
            objFolderItem = objFolder~Self
            directory = objFolderItem~Path
            directory = directory~changestr('\\','\')
            say 'directory =' directory
        end
    else
        exit

    pre.1 = 'File Date && _'
    pre.2 = 'Specify'

    dlg = .SingleSelection~new('Rename The Files In' directory 'With What Prefix','Bulk Rename',pre.,,,)
    whatpre = dlg~execute

    dodate = .false
    select
        when whatpre = 1 then
            dodate = .true
        when whatpre = 2 then
            do
                dlg = .InputBox~new('Specify Your Prefix Text','Bulk Rename')
                prefix = dlg~Execute~strip
                if prefix = '' then
                    exit
            end
        otherwise
            exit
    end

    strComputer = "."
    objWMIService = .oleobject~GetObject("winmgmts:\\"strComputer"\root\cimv2")
    colFiles = objWMIService~ExecQuery("ASSOCIATORS OF {Win32_Directory.Name='"directory"'} Where ResultClass = CIM_DataFile")
    do objFile over colFiles
        if dodate then
            prefix = objFile~LastModified~left(8)'_'
        newname = objFile~drive||objFile~path||prefix||objFile~FileName'.'objFile~Extension
        errResult = objFile~Rename(newname)
    end

::Requires 'oodplain.cls'
