 /* enumerate_physical_drives.rex */

strComputer = "."
objWMIService = .OleObject~GetObject("winmgmts:{impersonationLevel=impersonate}!\\"strComputer"\root\cimv2")
colDiskDrives = objWMIService~ExecQuery("SELECT * FROM Win32_DiskDrive")
do objDiskDrive over colDiskDrives
    say 'Bytes Per Sector:' objDiskDrive~BytesPerSector
    do strCapability over objDiskDrive~Capabilities
        say '    Capabilities:' strCapability
    end
    say 'Caption:' objDiskDrive~Caption
    say 'Device ID:' objDiskDrive~DeviceID
    say 'Index:' objDiskDrive~Index
    say 'Interface Type:' objDiskDrive~InterfaceType
    say 'Manufacturer:' objDiskDrive~Manufacturer
    say 'Media Loaded:' objDiskDrive~MediaLoaded
    say 'Media Type:' objDiskDrive~MediaType
    say 'Model:' objDiskDrive~Model
    say 'Name:' objDiskDrive~Name
    say 'Partitions:' objDiskDrive~Partitions
    say 'PNP DeviceID:' objDiskDrive~PNPDeviceID
    say 'SCSI Bus:' objDiskDrive~SCSIBus
    say 'SCSI Logical Unit:' objDiskDrive~SCSILogicalUnit
    say 'SCSI Port:' objDiskDrive~SCSIPort
    say 'SCSI TargetId:' objDiskDrive~SCSITargetId
    say 'Sectors Per Track:' objDiskDrive~SectorsPerTrack
    say 'Size:' objDiskDrive~Size
    say 'Status:' objDiskDrive~Status
    say 'Total Cylinders:' objDiskDrive~TotalCylinders
    say 'Total Heads:' objDiskDrive~TotalHeads
    say 'Total Sectors:' objDiskDrive~TotalSectors
    say 'Total Tracks:' objDiskDrive~TotalTracks
    say 'Tracks Per Cylinder:' objDiskDrive~TracksPerCylinder
    say ''
end


/*
Capabilities Array of capabilities of the disk drive. Values include:
0 - Unknown

1 - Other

2 - Sequential Access

3 - Random Access

4 - Supports Writing

5 - Encryption

6 - Compression

7 - Supports Removable Media

8 - Manual Cleaning

9 - Automatic Cleaning

10 - SMART Notification

11 - Supports Dual-Sided Media

12 - Ejection Prior to Drive Dismount Not Required


*/
