/* monitor_file_events.rex */

call SysCls
strComputer = "."
objWMIService = .oleObject~GetObject("winmgmts:\\"strComputer"\root\cimv2")

wait = 5
path = "c:\!Rexx_Trials"

wmipath = path~changestr('\','\\\\')

colMonitoredEvents=objWMIService~ExecNotificationQuery("SELECT * FROM",
        "__InstanceOperationEvent",
        "WITHIN" wait "WHERE Targetinstance ISA 'CIM_DirectoryContainsFile' and ",
        "TargetInstance.GroupComponent= 'Win32_Directory.Name="""wmipath"""'")

Do forever
    say 'Waiting Up To' wait 'Seconds For The Next Event'
    objEventObject = colMonitoredEvents~NextEvent()
    result = objEventObject~GetObjectText_
    target = objEventObject~TargetInstance~PartComponent
    parse var target .'='target
    target = target~changestr('\\','\')
    select
        when result~pos("__InstanceCreationEvent") > 0 then
            say "  A new file was just created:" target
        when result~pos("__InstanceDeletionEvent") > 0 then
            say "  A file was just deleted:" target
        otherwise
            say "  Unknown event"
    end
end


