/* MSWord_ShortCuts.rex */

    say 'Creating The Word Object'
    objWord = .oleObject~New("Word.Application")
    objWord~Visible = .true

    say 'Create A List of All ShortCuts'
    objWord~ListCommands(.True)

    objDoc = objWord~Documents(1)
    objTable = objDoc~Tables(1)

    say 'Remove All Commands That Do Not Have A Shortcut - Be Patient'
    do i = 1 to objTable~Rows~Count
        strText = objTable~Cell(i,2)~Range~Text
        strText = strText||objTable~Cell(i,3)~Range~Text
        intLength = strText~length
        If intLength <= 4 Then
            do
                objTable~Rows(i)~Delete
                i = i - 1
            end
    end

    say 'Remove The MENU Column'
    objTable~Columns(4)~Delete

    say 'Save The Document'
    objWord~ActiveDocument~SaveAs("Word_ShortCuts.doc")

    say 'Quit Word'
    objWord~Quit

