/* RxXL_Automation_019a.rex */
    parse source src
    d_title = substr(src,src~lastpos('\')+1,src~length-src~lastpos('\'))
    call SysCls
    xlobj = .OleObject~New('Excel.Application')
    xlobj~Visible = .true
    xlobj~Application~SheetsInNewWorkBook = 1
    xlobj~WorkBooks~Add
    do row = 1 to 25
        do column = 1 to 20
            xlobj~Cells(row,column)~Value = random(1,5000)
        end
    end
    xlobj~Columns('E')~Select
    xlobj~Selection~EntireColumn~Hidden = .true
    xlobj~Selection~EntireColumn~Hidden = .false
    xlobj~Columns('G:M')~Select
    xlobj~Selection~EntireColumn~Hidden = .true
    xlobj~Selection~EntireColumn~Hidden = .false
    xlobj~Rows('4')~Select
    xlobj~Selection~EntireRow~Hidden = .true
    xlobj~Selection~EntireRow~Hidden = .false
    xlobj~Rows('3:8')~Select
    xlobj~Selection~EntireRow~Hidden = .true
    xlobj~Rows('1:25')~Select
    xlobj~Selection~EntireRow~Hidden = .false
    c_hides = 'B E I O S'
    do i = 1 to c_hides~words
        col = c_hides~word(i)
        xlobj~Columns(col)~Select
        xlobj~Selection~EntireColumn~Hidden = .true
    end
    xlobj~Range("A1")~Select
    outfile = '.\RxXL_Automation_019a.xls'
    xlobj~DisplayAlerts = .false
    xlobj~ActiveSheet~SaveAs(outfile)
    xlobj~WorkBooks(1)~Close(SaveAll)
    xlobj~Quit
exit


