/* Rx_BrowseForFolder.rex */

/*
The BrowseForFolder method expects 4 parameters
1)  This is the handle to the parent window - 0 should be used in a script
2)  Header text for the dialog
3)  Option flag
    Set to 0 if you DO want the "Make New Folder" option
    Set to "&H200" if you DO NOT want the "Make New Folder" option
4)  Root folder
    Set this to the "highest" level folder you wish the user to have access to
    Set to '' for the desktop
    Set to 'c:\ooRexx' to limit the user to any folder from c:\oorexx and down
    etc.
*/

    wHdl = 0
    hTxt = 'Select A Folder To Use In Your ooRexx Script:'
    oFlg = "&H200"
    rFld = ''

    folder = 'c:'
    objShell = .oleObject~New("Shell.Application")
    objFolder = objShell~BrowseForFolder(wHdl,hTxt,oFlg,rFld)
    if objFolder \= .nil then
        do
            objFolderItem = objFolder~Self
            objPath = objFolderItem~Path
            objPath = objPath~changestr('\\','\')
            say 'objPath =' objpath
        end


