/* cngprt.rex */

SelPrinter:
    if RxFuncQuery('InfoMessage') \= 0 then
        call Rxfuncadd 'InfoMessage', 'oodialog', 'InfoMessage'

    default_printer = SysWinGetDefaultPrinter()
    parse var default_printer dp','.
    rv = SysWinGetPrinters(all_printers.)
    do aa = 1 to all_printers.0
        parse var all_printers.aa pname','.
        if pname == dp then do
            default_printer = all_printers.aa
            aprt.aa = pname '(Default)'
            ldp = aa
        end
        else do
            aprt.aa = pname
        end
    end

    aprt.0 = all_printers.0

    m_title = 'Select A Printer For To Set As The Default'
    dlg = .SingleSelection~new('Make A Selection',m_title,aprt.,ldp)
    wt = dlg~execute
    if wt \= '' & all_printers.wt \= default_printer then do
        rv = SysWinSetDefaultPrinter(all_printers.wt)
        default_printer = SysWinGetDefaultPrinter()
        parse var default_printer dp','.
        call infoMessage('Your Default Printer Was Changed To' dp)
    end
    else do
        call infoMessage('Your Default Printer Was NOT Changed')
    end
exit

/*
If you're using ooRexx 1st Release, you'll have to move the oodplain.cls file from
the /program files/oorexx/oodialog/samples folder to a folder in your path - been told this will
be fixed in the next release.
*/

::REQUIRES 'OODPLAIN.CLS'
