/* determine_system_type.rex */


strComputer = "."
objWMIService = .oleObject~GetObject("winmgmts:{impersonationLevel=impersonate}!\\"strComputer"\root\cimv2")
colChassis = objWMIService~ExecQuery("Select * from Win32_SystemEnclosure")
do objChassis over colChassis
    do strChassisType over objChassis~ChassisTypes
        Select
            when strChassisType = 1 then say "Other"
            when strChassisType = 2 then say "Unknown"
            when strChassisType = 3 then say "Desktop"
            when strChassisType = 4 then say "Low Profile Desktop"
            when strChassisType = 5 then say "Pizza Box"
            when strChassisType = 6 then say "Mini Tower"
            when strChassisType = 7 then say "Tower"
            when strChassisType = 8 then say "Portable"
            when strChassisType = 9 then say "Laptop"
            when strChassisType = 10 then say "Notebook"
            when strChassisType = 11 then say "Handheld"
            when strChassisType = 12 then say "Docking Station"
            when strChassisType = 13 then say "All-in-One"
            when strChassisType = 14 then say "Sub-Notebook"
            when strChassisType = 15 then say "Space Saving"
            when strChassisType = 16 then say "Lunch Box"
            when strChassisType = 17 then say "Main System Chassis"
            when strChassisType = 18 then say "Expansion Chassis"
            when strChassisType = 19 then say "Sub-Chassis"
            when strChassisType = 20 then say "Bus Expansion Chassis"
            when strChassisType = 21 then say "Peripheral Chassis"
            when strChassisType = 22 then say "Storage Chassis"
            when strChassisType = 23 then say "Rack Mount Chassis"
            when strChassisType = 24 then say "Sealed-when strChassisType =  PC"
            otherwise say "Unknown"
        End
    end
end
