 /* enumerate_drive_types.rex */
strComputer = "."
objWMIService = .OleObject~GetObject('winmgmts:{impersonationLevel=impersonate}!\\'strComputer'\root\cimv2')
colDisks = objWMIService~ExecQuery('SELECT * FROM Win32_LogicalDisk')
do objDisk over colDisks
    say 'DeviceID:' objDisk~DeviceID
    select
        when objDisk~DriveType = 1 then say 'No root directory.'
        when objDisk~DriveType = 2 then say 'DriveType: Removable drive.'
        when objDisk~DriveType = 3 then say 'DriveType: Local hard disk.'
        when objDisk~DriveType = 4 then say 'DriveType: Network disk.'
        when objDisk~DriveType = 5 then say 'DriveType: Compact disk.'
        when objDisk~DriveType = 6 then say 'DriveType: RAM disk.'
        otherwise say 'Drive type could not be determined.'
    end
    say
end
