/* load_attendees.rex */
    'cls'
    connection_handle = 'c1'
    osql     = .rxsqlwrapper~new(connection_handle)
    dsn      = 'leegreen'
    database = 'rexxla'
    con_str  = dsn';database='database
    if osql~connect(con_str) < 0 then call mySQLError .false

    fn = 'John'
    ln = 'Gallucci'
    ka = 'John'
    co = ''
    em = 'j2@kokosing.biz'
    pr = 0
    nm = 0
    of = 0
    or = 0
    gt = 0
    bd = 0
    mn = 1
    tu = 1
    wd = 1
    th = 1
    bn = 1

    ss = "insert into z_attendees set" ,
         "year = 2008," ,
         "firstname = '"fn"'," ,
         "lastname  = '"ln"'," ,
         "knownas   = '"ka"'," ,
         "company   = '"co"'," ,
         "email     = '"em"'," ,
         "presenter = "pr"," ,
         "newmember = "nm"," ,
         "officer   = "of"," ,
         "oorexx    = "or"," ,
         "guest     = "gt"," ,
         "badge     = "bd"," ,
         "mon       = "mn"," ,
         "tue       = "tu"," ,
         "wed       = "wd"," ,
         "thu       = "th"," ,
         "banquet   = "bn
    if osql~execute(ss) \= 0 then call mySQLError .false

    osql~disconnect()
exit

mySQLError: procedure expose osql sigl ourname system_name
    use arg kontinue
    say
    sql_errors = .array~new
    sql_errors[sql_errors~items+1] = 'SQL Error!'
    sql_errors[sql_errors~items+1] = 'ApplicationBeingExecuted' ourname
    sql_errors[sql_errors~items+1] = 'SqlErrorOnLine' SIGL
    sql_errors[sql_errors~items+1] = 'DateOfError' date('s')
    sql_errors[sql_errors~items+1] = 'TimeOfError' time('n')
    sql_errors[sql_errors~items+1] = 'UserID' userid()
    sql_errors[sql_errors~items+1] = 'System' system_name

    do x over osql~details
        if x~translate = 'SQLERRM' then
            parse value osql~details[x] with .']'.']'.']'emsg
        else
            emsg = osql~details[x]
        sql_errors[sql_errors~items+1] = x emsg
    end
    call SayErrors sql_errors
    if \kontinue then
        do
            if symbol('osql') = 'VAR' then
                osql~~rollback()~disconnect()
            say 'We Died An SQL Death'
            exit
        end
    say
return

Syntax:
    oprn~KillDoc
    syntax_errors = .array~new
    obj = condition('o')
    rc2 = ''
    do x over obj
        select
            when x = 'RC' then rc1 = obj[x]
            when x = 'CODE' then rc2 = obj[x]
            when x = 'MESSAGE' then et2 = obj[x]
            otherwise nop
        end
    end
    syntax_errors[syntax_errors~items+1] = 'Syntax Error!'
    syntax_errors[syntax_errors~items+1] = 'ApplicationBeingExecuted' ourname
    syntax_errors[syntax_errors~items+1] = 'SyntaxErrorOnLine' SIGL
    syntax_errors[syntax_errors~items+1] = 'SourceLine' sourceline(sigl)~strip
    syntax_errors[syntax_errors~items+1] = 'Error' rc1~left(6)':' errortext(rc1)
    if rc2 \= '' then syntax_errors[syntax_errors~items+1] = 'SubError' rc2~left(6)':' et2
    syntax_errors[syntax_errors~items+1] = 'DateOfError' date('s')
    syntax_errors[syntax_errors~items+1] = 'TimeOfError' time('n')
    syntax_errors[syntax_errors~items+1] = 'UserID' userid()
    syntax_errors[syntax_errors~items+1] = 'System' system_name
    if symbol('osql') = 'VAR' then
        osql~~rollback()~disconnect()
    call SayErrors syntax_errors
    say 'We Died A Syntax Death'
exit

SayErrors: procedure
    use arg error_array
    do i = 1 to error_array~items
        say error_array[i]~word(1)~left(26,'.')':' error_array[i]~subword(2)
    end
return



::requires 'c:\rexxla_sql\RxSQLWrapper.cls'

